Home

New Help >
Home

APK to Java Help File

APK to Java
Version: v2.0 Release Candidate
by broodplank

www.broodplank.net

Copyright 2012 broodplank.net. All Rights Reserved


Requirements

New Help > Contents >
Requirements

APK to Java Help File

Requirements:

- Windows XP / 7 (32 bit or 64bit)
- 2GB RAM
- Java Runtime Environment 6 or 7 (or JDK 6 / 7 )


Usage

Usage

1. Find an APK that you want to decompile
2. Start "APK to Java" and click the top "Browse..." button
3. Now select the APK file and press "Open" (Best results can be achieved by copying the apk to the installdir\tools folder)
 4. Now select the desired output directory by clicking the 3rd "Browse..." button
5. Select the parts that you want to decompile. (Additionally you can choose to make an Eclipse projects as well)
6. Press the "Start Process!" button to begin the decompilation


Troubleshooting

Troubleshooting

General errors:

Error:
Java not found

Solution:
Download JRE/JDK 6/7

Error:
The output contains empty folders

Solution:
Make sure you have "Write" on the selected destination directory

Possible errors on decompiling resources:

Error:
Empty "resource" directory at finish

Solution:
The apk you've chosen doesn't contain any resources.

Possible errors on decompiling to smali code:

Error:
Classes.dex not found

Solution:
The apk you've chosen doesn't contain any sources

Possible errors on decompiling to java code:

Error:
JD-GUI: Invalid input file

Solution:
The heap size of dex2jar.bat is probably exceeded, try killing some processes or adjust the heapsize (default is 512)

Possible errors on creating Eclipse project:

Error:
Unwanted Results

Solution:
When you choose to make an Eclipse project, make sure you also decompile the resources of the apk and decompile to java code.

Any other errors? Please let me know!


Additional Help

Additional Help

broodplank.net

Extra Support:

- broodplank.net
- XDA-Developers

Copyright 2012 broodplank.net. All Rights Reserved


References

New Help > Contents >
References

APK to Java Help File

References to External Apps

broodplank.net

External Apps used:

- 7za.exe
-- Description: 7zip command line tool
-- Author: Igor Pavlov
-- Site / Source: http://www.7-zip.org/

- apktool.jar
-- Description: Android Asset Packaging Tool
 -- Author: Ryszard Wisniewski
-- Site / Source: http://code.google.com/p/android-apktool/

- aapt.exe
-- Description: Multifunctional tool for manipulating APKS

-- Author: Google AOSP Team
-- Site / Source: http://www.android.com/

- baksmali-1.4.0.jar
-- Description: Multifunctional tool for manipulating APKS
-- Author: JesusFreke's
-- Site / Source: http://code.google.com/p/smali/

- jd-gui.exe
-- Description: GUI version of JD-Core, this tool generates the actual java code
-- Author: Emmanuel Dupuy
-- Site / Source: http://java.decompiler.free.fr/?q=jdgui

- dex2jar.bat (with included libraries)
-- Description: Tool that converts classes.dex to a jar file which can be converted to javacode
-- Author: pxb1988
-- Site / Source: http://code.google.com/p/dex2jar/

- jad.exe
-- Description: Tool that converts class files to java files

-- Author: Pavel Kouznetsov
-- Site / Source: http://www.varaneckas.com/jad/